Fix the Glibc GHOST vulnerability on a CentOS/RHEL/Fedora/Scientific Linux

Fig.02 Fix the GHOST vulnerability on a CentOS/RHEL/Fedora/Scientific Linux

Fig.02 Fix the GHOST vulnerability on a CentOS/RHEL/Fedora/Scientific Linux

To fix the GHOST vulnerability # CVE-2015-0235 on a CentOS/RHEL/Fedora/Scientific Linux type the following set of commands as the root user:

## find the current version of glbc and note it down ##
ldd --version
 
## Update the glibc ##
yum clean all
yum update
reboot
 
## Verify after reboot ##
ldd --version
 
## Or better use ##
yum history list glibc

Sample outputs:

Loaded plugins: product-id, rhnplugin, security, subscription-manager,
              : versionlock
This system is receiving updates from RHN Classic or RHN Satellite.
ID     | Login user               | Date and time    | Action(s)      | Altered
-------------------------------------------------------------------------------
   196 | root               | 2015-01-27 23:53 | E, I, U        |   12   
   194 | root               | 2015-01-09 14:28 | Update         |    5   
   181 | root               | 2014-10-18 13:34 | E, I, U        |  197 EE
   171 | root               | 2014-08-31 06:08 | Update         |    7   
   170 | root               | 2014-08-15 17:31 | Update         |    6   
   157 | root               | 2014-05-30 14:49 | Update         |   12   
   154 | root               | 2014-05-12 21:56 | Update         |    6   
   106 | root               | 2013-11-22 06:01 | E, I, U        |  178 EE
    94 | root               | 2013-10-15 11:48 | Update         |    3   
    84 | root               | 2013-08-31 07:20 | E, I, U        |   11   
    78 | root               | 2013-07-16 17:09 | Update         |   14   
    47 | root               | 2013-03-10 07:47 | Install        |    2   
    39 | root               | 2013-02-23 06:01 | E, I, O, U     |  208 EE
    36 | root               | 2013-02-03 02:57 | Update         |   25   
     2 | System            | 2012-11-29 17:45 | I, U           |   62   
     1 | System            | 2012-11-29 17:36 | Install        |  404   
history list

Examples and usage: How To Patch and Protect Linux Server Against the Glibc GHOST Vulnerability # CVE-2015-0235